> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiinbx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify domain DNS & SES status

> Run verification checks for the domain and update its stored status and DNS record verification flags.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/ai-inbx/openapi.documented.yml post /domains/{domainId}/verify
openapi: 3.1.0
info:
  title: AI Inbx API
  description: Email infrastructure API for AI agents and applications
  version: 1.0.0
servers:
  - url: https://api.aiinbx.com/api/v1
security: []
tags:
  - name: Emails
  - name: Threads
paths:
  /domains/{domainId}/verify:
    post:
      tags:
        - Domains
      summary: Verify domain DNS & SES status
      description: >-
        Run verification checks for the domain and update its stored status and
        DNS record verification flags.
      operationId: verifyDomain
      parameters:
        - in: path
          name: domainId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  domain:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      domain:
                        type: string
                      verifiedAt:
                        type: string
                        nullable: true
                      status:
                        type: string
                        enum:
                          - VERIFIED
                          - PENDING_VERIFICATION
                          - NOT_REGISTERED
                      isManagedDefault:
                        type: boolean
                      dnsRecords:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - TXT
                                - CNAME
                                - MX
                            name:
                              type: string
                            value:
                              type: string
                            priority:
                              type: number
                            isVerified:
                              type: boolean
                            verificationStatus:
                              type: string
                              enum:
                                - verified
                                - missing
                                - pending
                            lastCheckedAt:
                              type: string
                          required:
                            - type
                            - name
                            - value
                    required:
                      - id
                      - createdAt
                      - updatedAt
                      - domain
                      - verifiedAt
                      - status
                      - isManagedDefault
                  verification:
                    type: object
                    properties:
                      verification:
                        type: string
                        enum:
                          - Pending
                          - Success
                          - Failed
                          - NotStarted
                          - TemporaryFailure
                      dkimStatus:
                        type: string
                        enum:
                          - Pending
                          - Success
                          - Failed
                          - NotStarted
                          - TemporaryFailure
                      dns:
                        type: object
                        properties:
                          domainVerification:
                            type: boolean
                          spf:
                            type: boolean
                          mx:
                            type: object
                            properties:
                              found:
                                type: boolean
                              expectedPriority:
                                type: number
                              records:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    exchange:
                                      type: string
                                    priority:
                                      type: number
                                  required:
                                    - exchange
                                    - priority
                            required:
                              - found
                              - expectedPriority
                              - records
                          dkim:
                            type: object
                            additionalProperties:
                              type: boolean
                          dmarc:
                            type: object
                            properties:
                              present:
                                type: boolean
                              source:
                                type: string
                                enum:
                                  - subdomain
                                  - parent
                                  - none
                            required:
                              - present
                              - source
                          mailFrom:
                            type: object
                            properties:
                              domain:
                                type: string
                              mx:
                                type: boolean
                              spf:
                                type: boolean
                            required:
                              - domain
                              - mx
                              - spf
                        required:
                          - domainVerification
                          - spf
                          - mx
                          - dkim
                          - dmarc
                          - mailFrom
                      mxConflict:
                        type: object
                        properties:
                          hasConflict:
                            type: boolean
                          conflictingRecords:
                            type: array
                            items:
                              type: object
                              properties:
                                exchange:
                                  type: string
                                priority:
                                  type: number
                              required:
                                - exchange
                                - priority
                          message:
                            type: string
                        required:
                          - hasConflict
                      ready:
                        type: boolean
                      debug:
                        type: object
                        properties:
                          expectedVerificationToken:
                            type: string
                          actualVerificationTokens:
                            type: array
                            items:
                              type: string
                          domain:
                            type: string
                          verificationTokenMatch:
                            type: boolean
                        required:
                          - actualVerificationTokens
                          - domain
                          - verificationTokenMatch
                    required:
                      - verification
                      - dkimStatus
                      - dns
                      - mxConflict
                      - ready
                      - debug
                required:
                  - domain
                  - verification
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import AIInbx from 'aiinbx';

            const client = new AIInbx({
              apiKey: process.env['AI_INBX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.domains.verify('domainId');

            console.log(response.domain);
        - lang: Python
          source: |-
            import os
            from aiinbx import AIInbx

            client = AIInbx(
                api_key=os.environ.get("AI_INBX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.domains.verify(
                "domainId",
            )
            print(response.domain)
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API Key authentication using Bearer token

````